VMTKMESHCONNECTIVITY(1)

NAME
vmtkmeshconnectivity - vmtk script vmtkmeshconnectivity

DESCRIPTION
Automatic piping vmtkmeshconnectivity Parsing options vmtkmeshconnectivity

vmtkmeshconnectivity : extract the largest connected region or the

    closest point-connected region from a mesh

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-method Method (str,1) in ['largest', 'closest']; default=largest:

    connectivity method

-closestpoint ClosestPoint (float,3); default=None: coordinates of

    the closest point

-r ReferenceMesh (vtkUnstructuredGrid,1): the reference mesh, whose

    barycenter will be used as closest point for the connectivity filter

-rfile ReferenceMeshInputFileName (str,1): filename for the default

    ReferenceMesh reader

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh